name: {{#snakeCase}}{{project_name}}{{/snakeCase}}
description: {{#sentenceCase}}{{description}}{{/sentenceCase}}

publish_to: "none"

version: 1.0.0+1

environment:
  sdk: ">=2.18.0 <3.0.0"
  flutter: ">=3.0.0"

dependencies:
  flutter: { sdk: flutter }
  flutter_localizations: { sdk: flutter }
  intl: ^0.17.0
  go_router: ^6.0.1
  equatable: ^2.0.5
  freezed_annotation: ^2.2.0
  json_annotation: ^4.8.0
  cupertino_icons: ^1.0.5
  get_it: ^7.2.0
  flutter_dotenv: ^5.0.2
  gap: ^2.0.1
  flutter_bloc: ^8.1.1
  url_launcher: ^6.1.7
  uuid: ^3.0.7
  flutter_native_splash: ^2.2.15
  wyatt_architecture:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_architecture
    version: 0.1.0+1
  wyatt_bloc_helper:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_bloc_helper
    version: 2.0.0
  wyatt_type_utils:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_type_utils
    version: 0.0.4

dev_dependencies:
  flutter_test: { sdk: flutter }
  dependency_validator: ^3.2.2
  build_runner: ^2.3.3
  flutter_gen_runner: ^5.1.0+1
  freezed: ^2.3.2
  json_serializable: ^6.6.0
  flutter_launcher_icons: ^0.11.0
  dart_code_metrics: ^5.4.0
  rename: ^2.1.1
  wyatt_analysis:
    hosted:
      url: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub/
      name: wyatt_analysis
    version: 2.3.0

flutter:
  uses-material-design: true
  generate: true
  assets:
    - .env
    - assets/images/

flutter_gen:
  output: lib/gen/
  integrations:
    flutter_svg: true
    flare_flutter: true
    rive: true
    lottie: true
  colors:
    inputs:
      - assets/colors.xml

flutter_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/images/wyatt_logo.jpeg"
  adaptive_icon_background: "#FFFFFF"

flutter_native_splash:
  image: "assets/images/wyatt_logo.jpeg"
  color: "#FFFFFF"
  android: true
  ios: true
  android_gravity: fill
  ios_content_mode: scaleAspectFit
